# from pyproj import Transformer

# # 定义坐标系转换（WGS84 → UTM Zone 51N）
# transformer = Transformer.from_crs("EPSG:4326", "EPSG:32651")

# # 输入经纬度（注意：经度在前，纬度在后）
# lon, lat = 123.456, 34.567  # 示例坐标（需替换为实际值）

# # 执行转换
# easting, northing = transformer.transform(lat, lon)  # 注意：pyproj v3+要求纬度在前
# print(f"UTM 51N坐标: {easting:.3f}, {northing:.3f}")


import pandas as pd
from pyproj import Transformer

# 读取CSV文件（注意：simTime是字符串类型，避免精度丢失）
df = pd.read_csv(
    "/home/kevin/kevin/zhaoyuan/sqlite3_demo/processed_results/V2I-DLSG-1_2025-02-26_16-41-09/ObjState.csv", 
    dtype={'simTime': float}  # 以字符串形式读取，保留完整精度
)

# 打印每一行的simTime值
print("===== 开始打印 simTime =====")
for index, row in df.iterrows():
    print(f"第 {index + 1} 行: simTime = {row['simTime']}")
print("===== 结束打印 simTime =====")

# 创建坐标转换器：WGS84经纬度 → UTM51N（EPSG:32651）
transformer = Transformer.from_crs("EPSG:4326", "EPSG:32651")

# 批量转换经纬度（注意参数顺序为lon, lat）
# df["posX"], df["posY"] = transformer.transform(df["lon"].values, df["lat"].values)
df["posX"], df["posY"] = transformer.transform(df["lat"].values, df["lon"].values)

# 保存结果到新CSV文件
df.to_csv("ObjState.csv", index=False)
